| Gtk2Hs | Contents | Index

Graphics.UI.Gtk.Scrolling.VScrollbar

Portability | portable (depends on GHC)
Stability | provisional
Maintainer | gtk2hs-users@lists.sourceforge.net

Contents

Detail
Class Hierarchy
Types
Constructors

Description
A vertical scrollbar
Synopsis

data VScrollbar
class ScrollbarClass o => VScrollbarClass o
castToVScrollbar :: GObjectClass obj => obj -> VScrollbar
toVScrollbar :: VScrollbarClass o => o -> VScrollbar
vScrollbarNew :: Adjustment -> IO VScrollbar
vScrollbarNewDefaults :: IO VScrollbar

Detail

The `VScrollbar` widget is a widget arranged vertically creating a scrollbar. See `Scrollbar` for details on scrollbars. An `Adjustment` may be added to handle the adjustment of the scrollbar using `vScrollbarNew` or you can use `vScrollbarNewDefaults` in which case one will be created for you. See `Adjustment` for details.

All interesting functions can be found in `Range`, from which it is derived.

Class Hierarchy

     |  GObject
     |   +----Object
     |         +----Widget
     |               +----Range
     |                     +----Scrollbar
     |                           +----VScrollbar

Types
data VScrollbar

Instances

GObjectClass VScrollbar
VScrollbarClass VScrollbar
ScrollbarClass VScrollbar
RangeClass VScrollbar
WidgetClass VScrollbar
ObjectClass VScrollbar

class ScrollbarClass o => VScrollbarClass o

Instances

VScrollbarClass VScrollbar

castToVScrollbar :: GObjectClass obj => obj -> VScrollbar
toVScrollbar :: VScrollbarClass o => o -> VScrollbar
Constructors
vScrollbarNew

:: Adjustment | `adjustment` - the `Adjustment` to use.
-> IO VScrollbar |
Creates a new vertical scrollbar.

vScrollbarNewDefaults :: IO VScrollbar
Create a new HScrollbar without specifying an existing `Adjustment`. A new one will be created instead.
Produced by Haddock version 2.4.2